Subject: Fwd: I-D Action:draft-baker-v6ops-greynet-00.txt

From: Fred Baker <[email-masked]>
Date: Mon, 20 Apr 2009 23:41:30 -0700

oops, wrong list name. I'd still appreciate any thoughts folks have. :-)

Begin forwarded message:

> From: [email-masked]
> Date: April 20, 2009 11:30:01 PM PDT
> To: [email-masked]
> Subject: I-D Action:draft-baker-v6ops-greynet-00.txt
> Reply-To: [email-masked]
>
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
>
> 	Title           : IPv4 and IPv6 Greynets
> 	Author(s)       : F. Baker, et al.
> 	Filename        : draft-baker-v6ops-greynet-00.txt
> 	Pages           : 8
> 	Date            : 2009-04-20
>
> This note discusses a feature to support building Greynets for IPv4
> and IPv6.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-baker-v6ops-greynet-00.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/

---

From: Fred Baker <[email-masked]>
Date: Mon, 20 Apr 2009 23:39:20 -0700

I'd appreciate any thoughts folks have.

---

From: Fred Baker <[email-masked]>
Date: Tue, 21 Apr 2009 07:51:24 -0700

On Apr 21, 2009, at 7:25 AM, Manfredi, Albert E wrote:

>> -----Original Message-----
>> From: Fred Baker [mailto:[email-masked]]
>
> In the IPv6 case, I'm not sure I understand how the "honeypot" host
> would know what addresses are unused, in networks where SLAAC is used.

I would expect that it would take the router's word that no responder  
was found for the address.

> Also, more of an editorial nature, I believe the layer 2 nitpicks  
> might
> object to the use of "LAN" to mean "IP subnet," unless I missed
> something. The IEEE definition of LAN makes it so in practice, these
> days, the term only applies to the single link between the layer 2
> switch and one host interface.

Gee, in a layer 3 context, I use the term "LAN" to mean a "Local Area  
Network", a layer 2 domain, perhaps instantiated in a switch or a set  
of them, that connects some number of layer 3 devices. Examples  
include Ethernet domains, 802.11, 802.15.4, 802.16, 802.21, ...

How does the IEEE define a LAN?

I take your point that some of these probably should be translated to  
"IP Subnet".

---

From: Fred Baker <[email-masked]>
Date: Tue, 21 Apr 2009 14:46:57 -0700

So you are saying that the legal definition of a LAN ("a network which  
crosses no legal boundary"), vs the legal definition of a WAN (" a  
network that crosses a legal boundary") is irrelevant, and the only  
agency that defines LANs is IEEE 802? I can think of some folks that  
might take exception to that.

I say that as someone who was building MAC bridges before the term was  
coined...

On Apr 21, 2009, at 8:14 AM, Manfredi, Albert E wrote:

> IEEE 802.1D says that a LAN ties together devices with MAC layers. So,
> for example, an Ethernet LAN in which (layer 1) hubs interconnect the
> hosts will support multiple hosts in a single LAN. But if you  
> introduce
> bridges (aka layer 2 switches), then you're tying together separate
> individual LANs into a "bridged LAN," or catenet.
>
> Clause 6 of 802.1D:
>
> "MAC Bridges interconnect the separate IEEE 802 LANs that compose a
> Bridged Local Area Network by
> relaying and filtering frames between the separate MACs of the bridged
> LANs."
>
> So in today's typical networks, the LAN becomes just a single link
> between one host and one switch. Seemed odd to me too, but Rich  
> Seifert
> caught me on this more than once.
>
> What you were adressing, though, seemed to be IP subnets, i.e.  
> networks
> having common IP address prefixes. I guess that the "IP subnet" term
> doesn't apply to IPv6.
>
> Bert

---

From: Joel Jaeggli <[email-masked]>
Date: Tue, 21 Apr 2009 23:16:59 -0700

Just one observation, one could imagine if the non-ultilization of a
particular address were to produce (semi) persistent state, that you
could DOS the router by spraying however many million packets was
required to exercise that particular resource. You would not want for
example a scenario where a collector present over a tunnel or listening
on a subnet were to populate the router with non-existent neighbors in
order to continue a conversation.

The product of an xor where packets destined for valid neighbors go
there and everything else is blindly forwarded to the collector seems
plausible.